Debian Bug report logs - #603250
libmodule-pluggable-perl: obsoleted by perl in squeeze

version graph

Package: libmodule-pluggable-perl; Maintainer for libmodule-pluggable-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libmodule-pluggable-perl is src:libmodule-pluggable-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Fri, 12 Nov 2010 08:54:01 UTC

Severity: serious

Found in version libmodule-pluggable-perl/3.9-1

Fixed in version 3.9-1+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#603250; Package libmodule-pluggable-perl. (Fri, 12 Nov 2010 08:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 12 Nov 2010 08:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: submit@bugs.debian.org
Subject: libmodule-pluggable-perl: obsoleted by perl in squeeze
Date: Fri, 12 Nov 2010 10:52:51 +0200
Package: libmodule-pluggable-perl
Version: 3.9-1
Severity: serious

There's no use shipping this duplicate copy of Module::Pluggable in
squeeze as there's the same version in perl core.

I don't see any versioned dependencies (except those guarded with perl
(>= 5.10.1) | libfile-temp-perl (>= 0.xx), which are OK) in the archive.
So I think this package could be removed from testing with no ill effects.
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#603250; Package libmodule-pluggable-perl. (Fri, 12 Nov 2010 09:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 12 Nov 2010 09:09:06 GMT) Full text and rfc822 format available.

Message #10 received at 603250@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: 603250@bugs.debian.org
Subject: Re: Bug#603250: libmodule-pluggable-perl: obsoleted by perl in squeeze
Date: Fri, 12 Nov 2010 11:07:23 +0200
On Fri, Nov 12, 2010 at 10:52:51AM +0200, Niko Tyni wrote:
> Package: libmodule-pluggable-perl
> Version: 3.9-1
> Severity: serious
> 
> There's no use shipping this duplicate copy of Module::Pluggable in
> squeeze as there's the same version in perl core.
> 
> I don't see any versioned dependencies (except those guarded with perl
> (>= 5.10.1) | libfile-temp-perl (>= 0.xx), which are OK) in the archive.

Heh, s/libfile-temp-perl/libmodule-pluggable-perl/ of course. Despite
the copy/paste, I really did check the dependencies with a correct name :)
-- 
Niko Tyni   ntyni@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#603250; Package libmodule-pluggable-perl. (Sun, 17 Jul 2011 13:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Yu <jawnsy@cpan.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 17 Jul 2011 13:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 603250@bugs.debian.org (full text, mbox):

From: Jonathan Yu <jawnsy@cpan.org>
To: 603250@bugs.debian.org
Subject: Re: Removal of libfile-temp-perl
Date: Sun, 17 Jul 2011 09:49:43 -0400
To whoever might stumble upon this bug,

I looked into it quickly and it looks like libmodule-pluggable-perl has
already been removed from squeeze. I guess we need to leave this bug
here to prevent it from being migrated to testing.

Cheers,

Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#603250; Package libmodule-pluggable-perl. (Fri, 04 Nov 2011 14:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 04 Nov 2011 14:09:03 GMT) Full text and rfc822 format available.

Message #20 received at 603250@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 603250@bugs.debian.org
Subject: this package is in sid/unstable
Date: Fri, 4 Nov 2011 19:34:02 +0530
Hi all,
       This package is still in sid/unstable. I do not know anything
about perl but its here.

$ dpkg -l libmodule-pluggable-perl
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                             Version
Description
+++-================================-================================-================================================================================
ii  libmodule-pluggable-perl         3.9-1
Automatically provide your module the ability to accept plugins

$ apt-show-versions -a libmodule-pluggable-perl
libmodule-pluggable-perl 3.9-1 install ok installed
No stable version
No testing version
libmodule-pluggable-perl 3.9-1 unstable ftp.au.debian.org
libmodule-pluggable-perl/unstable uptodate 3.9-1

Can somebody comment on this bug.

Perl shows the following info.

$ perl --version

This is perl 5, version 12, subversion 4 (v5.12.4) built for
x86_64-linux-gnu-thread-multi
(with 48 registered patches, see perl -V for more detail)

Copyright 1987-2010, Larry Wall

Perl may be copied only under the terms of either the Artistic License or the
GNU General Public License, which may be found in the Perl 5 source kit.

Complete documentation for Perl, including FAQ lists, should be found on
this system using "man perl" or "perldoc perl".  If you have access to the
Internet, point your browser at http://www.perl.org/, the Perl Home Page.

-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#603250; Package libmodule-pluggable-perl. (Fri, 04 Nov 2011 15:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 04 Nov 2011 15:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 603250@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: shirish शिरीष <shirishag75@gmail.com>, 603250@bugs.debian.org
Subject: Re: Bug#603250: this package is in sid/unstable
Date: Fri, 4 Nov 2011 16:21:01 +0100
[Message part 1 (text/plain, inline)]
On Fri, 04 Nov 2011 19:34:02 +0530, shirish शिरीष wrote:

>        This package is still in sid/unstable. I do not know anything
> about perl but its here.

Yes, and that's on purpose.

The bug is about removing it from squeeze (that has happened) and
keeping it out of wheezy (which this bug achieves). We're still
leaving it in sid just in case there's a new upstream release; it's
less work to upgrade the existing package than to remove it now and
then re-introduce it later.

This bug will be closed once a newer version is available.
 

Cheers,
gregor
 
-- 
 .''`.   Homepage: http://info.comodo.priv.at/ - OpenPGP key ID: 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT & SPI, fellow of Free Software Foundation Europe
   `-    NP: Dire Straits: Romeo And Juliet
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#603250; Package libmodule-pluggable-perl. (Sun, 15 Jan 2012 13:15:54 GMT) Full text and rfc822 format available.

Message #28 received at 603250-quiet@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: debian-perl@lists.debian.org
Cc: 603249-quiet@bugs.debian.org, 603250-quiet@bugs.debian.org
Subject: Remove libfile-temp-perl, libmodule-pluggable-perl: obsoleted by perl in Squeeze
Date: Sun, 15 Jan 2012 14:13:20 +0100
I was wondering if we should request removal of libfile-temp-perl and
libmodule-pluggable-perl from the archive.  They were obsoleted by perl
in squeeze[1][2] and no new version was released since then.

Removing them would reduce our open RC bugs by two :)

Regards,
Ansgar

[1] <http://bugs.debian.org/603249>
[2] <http://bugs.debian.org/603250>




Information stored :
Bug#603250; Package libmodule-pluggable-perl. (Sun, 15 Jan 2012 20:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 15 Jan 2012 20:00:10 GMT) Full text and rfc822 format available.

Message #33 received at 603250-quiet@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: debian-perl@lists.debian.org, 603249-quiet@bugs.debian.org, 603250-quiet@bugs.debian.org
Subject: Re: Bug#603250: Remove libfile-temp-perl, libmodule-pluggable-perl: obsoleted by perl in Squeeze
Date: Sun, 15 Jan 2012 20:56:56 +0100
[Message part 1 (text/plain, inline)]
On Sun, 15 Jan 2012 14:13:20 +0100, Ansgar Burchardt wrote:

> I was wondering if we should request removal of libfile-temp-perl and
> libmodule-pluggable-perl from the archive.  They were obsoleted by perl
> in squeeze[1][2] and no new version was released since then.

I've argued for keeping them in the past, but since there are no new
versions around and since reviving them (if we keep the repos in
attic/) is cheap, I have no objections.
 
> Removing them would reduce our open RC bugs by two :)

:)
 

PS: I'm of course also fine with your other removal requests.


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Cat Stevens: I Love My Dog
[signature.asc (application/pgp-signature, inline)]

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Tue, 31 Jan 2012 19:21:07 GMT) Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. (Tue, 31 Jan 2012 19:21:07 GMT) Full text and rfc822 format available.

Message #38 received at 603250-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 603250-done@bugs.debian.org,
Cc: libmodule-pluggable-perl@packages.debian.org, libmodule-pluggable-perl@packages.qa.debian.org
Subject: Bug#657869: Removed package(s) from unstable
Date: Tue, 31 Jan 2012 19:19:44 +0000
Version: 3.9-1+rm

Dear submitter,

as the package libmodule-pluggable-perl has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/657869

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Feb 2012 07:40:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:08:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.